with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegCurvetoCubicAbs_Interface is

   type ISVGPathSegCurvetoCubicAbs_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGPathSegCurvetoCubicAbs_Type);

   function Pointer (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Pointer_To_ISVGPathSegCurvetoCubicAbs;

   procedure Attach (This    : in out ISVGPathSegCurvetoCubicAbs_Type;
                     Pointer : in     Pointer_To_ISVGPathSegCurvetoCubicAbs);

   procedure Put_x
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_x
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

   procedure Put_y
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_y
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

   procedure Put_x1
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_x1
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

   procedure Put_y1
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_y1
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

   procedure Put_x2
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_x2
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

   procedure Put_y2
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_y2
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return Interfaces.C.C_float;

end MSHTML.ISVGPathSegCurvetoCubicAbs_Interface;

